nagios_timeperiod '24x7' do
	options 'alias'     => '24 Hours A Day, 7 Days A Week',
		'times'     => {
			'sunday'    => '00:00-24:00',
			'monday'    => '00:00-24:00',
			'tuesday'   => '00:00-24:00',
			'wednesday' => '00:00-24:00',
			'thursday'  => '00:00-24:00',
			'friday'    => '00:00-24:00',
			'saturday'  => '00:00-24:00'
		}
end


nagios_timeperiod 'workhours' do
	options 'alias'     => 'Normal Work Hours',
		'times'     => {
			'monday'    => '09:00-17:00',
			'tuesday'   => '09:00-17:00',
			'wednesday' => '09:00-17:00',
			'thursday'  => '09:00-17:00',
			'friday'    => '09:00-17:00'
		}
end


nagios_timeperiod 'none' do
	options 'alias' => 'No Time Is A Good Time'
end


nagios_timeperiod 'us-holidays' do
	options 'alias'               => 'U.S. Holidays',
		'name'		      => 'us-holidays',
		'times'     => {
			'january 1'           => '00:00-00:00',
			'monday -1 may'       => '00:00-00:00',
			'july 4'              => '00:00-00:00',
			'monday 1 september'  => '00:00-00:00',
			'thursday 4 november' => '00:00-00:00',
			'december 25'         => '00:00-00:00'
		}
end


nagios_timeperiod '24x7_sans_holidays' do
	options 'alias'     => '24x7 Sans Holidays',
		'use'       => 'us-holidays',
		'times'     => {
			'sunday'    => '00:00-24:00',
			'monday'    => '00:00-24:00',
			'tuesday'   => '00:00-24:00',
			'wednesday' => '00:00-24:00',
			'thursday'  => '00:00-24:00',
			'friday'    => '00:00-24:00',
			'saturday'  => '00:00-24:00'
		}
end

